package com.jpattern.orm;

import com.jpattern.orm.session.ISessionProvider;

public interface ISessionsProvider {
	
	ISessionProvider getH2SessionProvider();
	
	ISessionProvider getDerbySessionProvider();
	
	ISessionProvider getHSQLDBSessionProvider();
	
	ISessionProvider getOracleSessionProvider();
	
	boolean isOracleAvailable();

}
